org.keycloak.dom.saml.v2.assertion

## Class ConditionsType

- java.lang.Object
- - org.keycloak.dom.saml.common.CommonConditionsType
  - - org.keycloak.dom.saml.v2.assertion.ConditionsType

- All Implemented Interfaces:
    Serializable

      public class ConditionsType
      extends CommonConditionsType
      implements Serializable

  Java class for ConditionsType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConditionsType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice maxOccurs="unbounded" minOccurs="0">
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Condition"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AudienceRestriction"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}OneTimeUse"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}ProxyRestriction"/>
             </choice>
             <attribute name="NotBefore" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
             <attribute name="NotOnOrAfter" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<ConditionAbstractType>` | `conditions`

    - ### Fields inherited from class org.keycloak.dom.saml.common.CommonConditionsType

      `notBefore, notOnOrAfter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConditionsType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCondition(ConditionAbstractType condition)` Add a condition
    `List<ConditionAbstractType>` | `getConditions()` Gets an read only conditions list.
    `void` | `removeCondition(ConditionAbstractType condition)` Remove a condition

    - ### Methods inherited from class org.keycloak.dom.saml.common.CommonConditionsType

      `getNotBefore, getNotOnOrAfter, setNotBefore, setNotOnOrAfter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### conditions

          protected List<ConditionAbstractType> conditions

  - ### Constructor Detail

    - #### ConditionsType

          public ConditionsType()

  - ### Method Detail

    - #### addCondition

          public void addCondition(ConditionAbstractType condition)

      Add a condition
      Parameters:
        `condition` -

    - #### removeCondition

          public void removeCondition(ConditionAbstractType condition)

      Remove a condition
      Parameters:
        `condition` -

    - #### getConditions

          public List<ConditionAbstractType> getConditions()

      Gets an read only conditions list.

Copyright © 2020 JBoss by Red Hat. All rights reserved.